# $Revision: 1.7 $, $Date: 2012/01/11 22:14:59 $
#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	File
%define	pnam	NFSLock
Summary:	File::NFSLock - Perl module to do NFS (or not) locking
Summary(pl.UTF-8):	File::NFSLock - moduł Perla do zakładania (lub nie) blokad na NFS-ie
Name:		perl-File-NFSLock
Version:	1.21
Release:	1
License:	Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	8067802ce7247d0697d6203e26cb7bd7
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Program based of concept of hard linking of files being atomic across
NFS. This concept was mentioned in Mail::Box::Locker (which was
originally presented in Mail::Folder::Maildir). Some routine flow is
taken from there - particularly the idea of creating a random local
file, hard linking a common file to the local file, and then checking
the nlink status. Some ideologies were not complete (uncache
mechanism, shared locking) and some coding was even incorrect (wrong
stat index). File::NFSLock was written to be light, generic, and fast.

%description -l pl.UTF-8
Program oparty jest na idei twardych dowiązań plików, będących
atomowymi po NFS-ie. Idea ta była wspomniana w Mail::Box::Locker
(oryginalnie zaprezentowanym w Mail::Folder::Maildir). Część kodu jest
wzięta stamtąd - w szczególności pomysł tworzenia losowego pliku
lokalnie, tworzenia twardego dowiązania wspólnego pliku do pliku
lokalnego i następnie sprawdzania stanu liczby dowiązań. Niektóre
pomysły nie były kompletne (mechanizm uncache, blokowanie
współdzielone), a niektóre były zakodowane niepoprawnie (zły indeks
stat). File::NFSLock został napisany by być lekkim, ogólnym i szybkim.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -a examples $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%{perl_vendorlib}/File/*.pm
%{_mandir}/man3/*
%{_examplesdir}/%{name}-%{version}

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-File-NFSLock.spec,v $
Revision 1.7  2012/01/11 22:14:59  zbyniu
- up to 1.21

Revision 1.6  2008/07/27 22:34:34  arekm
- release 2

Revision 1.5  2007-02-13 07:47:11  glen
- tabs in preamble

Revision 1.4  2007/02/12 00:49:32  baggins
- converted to UTF-8

Revision 1.3  2004/12/09 22:10:23  qboosh
- pl desc

Revision 1.2  2004/12/09 14:45:03  ankry
- pl summary, formatting

Revision 1.1  2004/12/09 13:25:16  radek
- new
